# FoundationClasses
TKernel
TColStd

# TColStd_IndexedMapNodeOfIndexedMapOfInteger Class Reference

`#include <TColStd_IndexedMapNodeOfIndexedMapOfInteger.hxx>`

Inheritance diagram for TColStd_IndexedMapNodeOfIndexedMapOfInteger:

[legend]

## Public Member Functions

| TColStd_IndexedMapNodeOfIndexedMapOfInteger (const Standard_Integer &K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Standard_Integer & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TColStd_IndexedMapNodeOfIndexedMapOfInteger::TColStd_IndexedMapNodeOfIndexedMapOfInteger | ( | const Standard_Integer & | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_IndexedMapNodeOfIndexedMapOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Integer& TColStd_IndexedMapNodeOfIndexedMapOfInteger::Key1 | ( |  | ) | const

Standard_Integer& TColStd_IndexedMapNodeOfIndexedMapOfInteger::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TColStd_IndexedMapNodeOfIndexedMapOfInteger::Next2 | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_IndexedMapNodeOfIndexedMapOfInteger::myKey1 `[private]`

Standard_Integer TColStd_IndexedMapNodeOfIndexedMapOfInteger::myKey2 `[private]`

TCollection_MapNodePtr TColStd_IndexedMapNodeOfIndexedMapOfInteger::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TColStd_IndexedMapNodeOfIndexedMapOfInteger.hxx